> For the complete documentation index, see [llms.txt](https://docs.lagoon.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lagoon.finance/developer-hub/integration/get-a-user-position.md).

# Get a user position

Lagoon vaults are based on [ERC7540](https://eips.ethereum.org/EIPS/eip-7540) ; the standard for asynchronous deposits and redemptions in a vault.

7540 is an extension of 4626 that add functions around requests and tweak others like `max` functions and deposit/mint/withdraw/redeem functions.

A user total share balance is the addition of the return of three functions:

* `vault.balanceOf(userAddress);` → ERC20 function
* `vault.maxMint(userAddress);` → shares ready to be claimed (to not be confused with the ERC4626 maxMint function)
* `vault.pendingRedeemRequest(0, userAddress);` → user shares waiting to be redeemed. [Why 0 ?](https://eips.ethereum.org/EIPS/eip-7540#request-ids)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lagoon.finance/developer-hub/integration/get-a-user-position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
